# Uses of Interface
org.eclipse.unittest.model.ITestSuiteElement

Packages that use ITestSuiteElement
Package
Description
org.eclipse.unittest.model
Application programming interfaces representing test elements as shown in the Unit Test view.
org.eclipse.unittest.ui

## Uses of ITestSuiteElement in org.eclipse.unittest.model

Subinterfaces of ITestSuiteElement in org.eclipse.unittest.model
Modifier and Type
Interface
Description
`interface`
`ITestRunSession`
Represents a test run session.
Methods in org.eclipse.unittest.model that return ITestSuiteElement
Modifier and Type
Method
Description
`ITestSuiteElement`
ITestElement.`getParent()`
Returns parent test suite element of this test element
`ITestSuiteElement`
ITestRunSession.`newTestSuite(String testId, String testName, Integer testCount, ITestSuiteElement parent, String displayName, String data)`
Creates a new Test Suite and adds it to the model
Methods in org.eclipse.unittest.model with parameters of type ITestSuiteElement
Modifier and Type
Method
Description
`ITestCaseElement`
ITestRunSession.`newTestCase(String testId, String testName, ITestSuiteElement parent, String displayName, String data)`
Creates a new Test Case and adds it to the model
`ITestSuiteElement`
ITestRunSession.`newTestSuite(String testId, String testName, Integer testCount, ITestSuiteElement parent, String displayName, String data)`
Creates a new Test Suite and adds it to the model

## Uses of ITestSuiteElement in org.eclipse.unittest.ui

Methods in org.eclipse.unittest.ui with parameters of type ITestSuiteElement
Modifier and Type
Method
Description
`IAction`
ITestViewSupport.`getOpenTestAction(Shell shell, ITestSuiteElement testSuite)`
Returns an action to open a specified test suite element